<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: TFModule Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/dc3/class_t_f_module.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">TFModule Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a4fcf5a5e50ee728d0bf83c5274fdd153"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dc3/class_t_f_module.html#a4fcf5a5e50ee728d0bf83c5274fdd153">TFModule</a> ()</td></tr>
<tr class="separator:a4fcf5a5e50ee728d0bf83c5274fdd153"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0751c4dad08f74e0ea04a0f7e829bb6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dc3/class_t_f_module.html#ad0751c4dad08f74e0ea04a0f7e829bb6">Count</a> ()</td></tr>
<tr class="separator:ad0751c4dad08f74e0ea04a0f7e829bb6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48e3ca06fc40d4591acaac8a7e0369aa"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dc3/class_t_f_module.html#a48e3ca06fc40d4591acaac8a7e0369aa">Failed</a> ()</td></tr>
<tr class="separator:a48e3ca06fc40d4591acaac8a7e0369aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb11e45bf2ebddc13ceee3421e2a6931"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dc3/class_t_f_module.html#acb11e45bf2ebddc13ceee3421e2a6931">Success</a> ()</td></tr>
<tr class="separator:acb11e45bf2ebddc13ceee3421e2a6931"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af204a99376380c847a061975b32a0e14"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dc3/class_t_f_module.html#af204a99376380c847a061975b32a0e14">Pending</a> ()</td></tr>
<tr class="separator:af204a99376380c847a061975b32a0e14"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7aa7601e7122a91c17826c22ea1c6b3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dc3/class_t_f_module.html#ae7aa7601e7122a91c17826c22ea1c6b3">AddTest</a> (<a class="el" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a> instance, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> test, <a class="el" href="../../d9/db9/classbool.html">bool</a> repeat)</td></tr>
<tr class="separator:ae7aa7601e7122a91c17826c22ea1c6b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb3edd9e7b05433430f6c055145ce1c7"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dc3/class_t_f_module.html#aeb3edd9e7b05433430f6c055145ce1c7">Run</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> fatal, <a class="el" href="../../d4/dc3/classfloat.html">float</a> dt)</td></tr>
<tr class="separator:aeb3edd9e7b05433430f6c055145ce1c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a7bbe06bb898b3bdeb000b98dbb8e83"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dc3/class_t_f_module.html#a9a7bbe06bb898b3bdeb000b98dbb8e83">RunTest</a> (TFCaller caller, <a class="el" href="../../d4/dc3/classfloat.html">float</a> dt)</td></tr>
<tr class="separator:a9a7bbe06bb898b3bdeb000b98dbb8e83"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa42a3b0f5abc25928127c24eca4cf59f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dc3/class_t_f_module.html#aa42a3b0f5abc25928127c24eca4cf59f">Result</a> ()</td></tr>
<tr class="separator:aa42a3b0f5abc25928127c24eca4cf59f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:aaf1ab9ae89f101b51556353d25148203"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dc3/class_t_f_module.html#aaf1ab9ae89f101b51556353d25148203">m_Count</a></td></tr>
<tr class="separator:aaf1ab9ae89f101b51556353d25148203"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7aecc138973986ec17811a6c6d9bce7e"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dc3/class_t_f_module.html#a7aecc138973986ec17811a6c6d9bce7e">m_Failed</a></td></tr>
<tr class="separator:a7aecc138973986ec17811a6c6d9bce7e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24e3b4e67ec7948d153c937280d5ff08"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dc3/class_t_f_module.html#a24e3b4e67ec7948d153c937280d5ff08">m_Success</a></td></tr>
<tr class="separator:a24e3b4e67ec7948d153c937280d5ff08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5af35cf04b654a582d566419213cf1b1"><td class="memItemLeft" align="right" valign="top">private ref TFCallerArr&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dc3/class_t_f_module.html#a5af35cf04b654a582d566419213cf1b1">m_Tests</a></td></tr>
<tr class="separator:a5af35cf04b654a582d566419213cf1b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a71499b06935ccd68a02ab6d0503bcfc8"><td class="memItemLeft" align="right" valign="top">private ref <a class="el" href="../../d6/dc4/_test_framework_8c.html#afc7b73a7c780974adb3acaf511ee21a6">TFResultArr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dc3/class_t_f_module.html#a71499b06935ccd68a02ab6d0503bcfc8">m_Results</a></td></tr>
<tr class="separator:a71499b06935ccd68a02ab6d0503bcfc8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d6/dc4/_test_framework_8c_source.html#l00077">77</a> of file <a class="el" href="../../d6/dc4/_test_framework_8c_source.html">TestFramework.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a4fcf5a5e50ee728d0bf83c5274fdd153" name="a4fcf5a5e50ee728d0bf83c5274fdd153"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4fcf5a5e50ee728d0bf83c5274fdd153">&#9670;&#160;</a></span>TFModule()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void TFModule::TFModule </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/dc4/_test_framework_8c_source.html#l00086">86</a> of file <a class="el" href="../../d6/dc4/_test_framework_8c_source.html">TestFramework.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ae7aa7601e7122a91c17826c22ea1c6b3" name="ae7aa7601e7122a91c17826c22ea1c6b3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae7aa7601e7122a91c17826c22ea1c6b3">&#9670;&#160;</a></span>AddTest()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void TFModule::AddTest </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>&#160;</td>
          <td class="paramname"><em>instance</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>test</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>repeat</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/dc4/_test_framework_8c_source.html#l00113">113</a> of file <a class="el" href="../../d6/dc4/_test_framework_8c_source.html">TestFramework.c</a>.</p>

</div>
</div>
<a id="ad0751c4dad08f74e0ea04a0f7e829bb6" name="ad0751c4dad08f74e0ea04a0f7e829bb6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad0751c4dad08f74e0ea04a0f7e829bb6">&#9670;&#160;</a></span>Count()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> TFModule::Count </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/dc4/_test_framework_8c_source.html#l00093">93</a> of file <a class="el" href="../../d6/dc4/_test_framework_8c_source.html">TestFramework.c</a>.</p>

</div>
</div>
<a id="a48e3ca06fc40d4591acaac8a7e0369aa" name="a48e3ca06fc40d4591acaac8a7e0369aa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a48e3ca06fc40d4591acaac8a7e0369aa">&#9670;&#160;</a></span>Failed()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> TFModule::Failed </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/dc4/_test_framework_8c_source.html#l00098">98</a> of file <a class="el" href="../../d6/dc4/_test_framework_8c_source.html">TestFramework.c</a>.</p>

</div>
</div>
<a id="af204a99376380c847a061975b32a0e14" name="af204a99376380c847a061975b32a0e14"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af204a99376380c847a061975b32a0e14">&#9670;&#160;</a></span>Pending()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> TFModule::Pending </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/dc4/_test_framework_8c_source.html#l00108">108</a> of file <a class="el" href="../../d6/dc4/_test_framework_8c_source.html">TestFramework.c</a>.</p>

</div>
</div>
<a id="aa42a3b0f5abc25928127c24eca4cf59f" name="aa42a3b0f5abc25928127c24eca4cf59f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa42a3b0f5abc25928127c24eca4cf59f">&#9670;&#160;</a></span>Result()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> TFModule::Result </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/dc4/_test_framework_8c_source.html#l00172">172</a> of file <a class="el" href="../../d6/dc4/_test_framework_8c_source.html">TestFramework.c</a>.</p>

</div>
</div>
<a id="aeb3edd9e7b05433430f6c055145ce1c7" name="aeb3edd9e7b05433430f6c055145ce1c7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb3edd9e7b05433430f6c055145ce1c7">&#9670;&#160;</a></span>Run()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> TFModule::Run </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>fatal</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>dt</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/dc4/_test_framework_8c_source.html#l00123">123</a> of file <a class="el" href="../../d6/dc4/_test_framework_8c_source.html">TestFramework.c</a>.</p>

</div>
</div>
<a id="a9a7bbe06bb898b3bdeb000b98dbb8e83" name="a9a7bbe06bb898b3bdeb000b98dbb8e83"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a7bbe06bb898b3bdeb000b98dbb8e83">&#9670;&#160;</a></span>RunTest()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d9/db9/classbool.html">bool</a> TFModule::RunTest </td>
          <td>(</td>
          <td class="paramtype">TFCaller&#160;</td>
          <td class="paramname"><em>caller</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>dt</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/dc4/_test_framework_8c_source.html#l00155">155</a> of file <a class="el" href="../../d6/dc4/_test_framework_8c_source.html">TestFramework.c</a>.</p>

</div>
</div>
<a id="acb11e45bf2ebddc13ceee3421e2a6931" name="acb11e45bf2ebddc13ceee3421e2a6931"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acb11e45bf2ebddc13ceee3421e2a6931">&#9670;&#160;</a></span>Success()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> TFModule::Success </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/dc4/_test_framework_8c_source.html#l00103">103</a> of file <a class="el" href="../../d6/dc4/_test_framework_8c_source.html">TestFramework.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="aaf1ab9ae89f101b51556353d25148203" name="aaf1ab9ae89f101b51556353d25148203"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaf1ab9ae89f101b51556353d25148203">&#9670;&#160;</a></span>m_Count</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> TFModule::m_Count</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/dc4/_test_framework_8c_source.html#l00079">79</a> of file <a class="el" href="../../d6/dc4/_test_framework_8c_source.html">TestFramework.c</a>.</p>

</div>
</div>
<a id="a7aecc138973986ec17811a6c6d9bce7e" name="a7aecc138973986ec17811a6c6d9bce7e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7aecc138973986ec17811a6c6d9bce7e">&#9670;&#160;</a></span>m_Failed</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> TFModule::m_Failed</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/dc4/_test_framework_8c_source.html#l00080">80</a> of file <a class="el" href="../../d6/dc4/_test_framework_8c_source.html">TestFramework.c</a>.</p>

</div>
</div>
<a id="a71499b06935ccd68a02ab6d0503bcfc8" name="a71499b06935ccd68a02ab6d0503bcfc8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a71499b06935ccd68a02ab6d0503bcfc8">&#9670;&#160;</a></span>m_Results</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private ref <a class="el" href="../../d6/dc4/_test_framework_8c.html#afc7b73a7c780974adb3acaf511ee21a6">TFResultArr</a> TFModule::m_Results</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/dc4/_test_framework_8c_source.html#l00084">84</a> of file <a class="el" href="../../d6/dc4/_test_framework_8c_source.html">TestFramework.c</a>.</p>

</div>
</div>
<a id="a24e3b4e67ec7948d153c937280d5ff08" name="a24e3b4e67ec7948d153c937280d5ff08"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a24e3b4e67ec7948d153c937280d5ff08">&#9670;&#160;</a></span>m_Success</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> TFModule::m_Success</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/dc4/_test_framework_8c_source.html#l00081">81</a> of file <a class="el" href="../../d6/dc4/_test_framework_8c_source.html">TestFramework.c</a>.</p>

</div>
</div>
<a id="a5af35cf04b654a582d566419213cf1b1" name="a5af35cf04b654a582d566419213cf1b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5af35cf04b654a582d566419213cf1b1">&#9670;&#160;</a></span>m_Tests</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private ref TFCallerArr TFModule::m_Tests</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/dc4/_test_framework_8c_source.html#l00083">83</a> of file <a class="el" href="../../d6/dc4/_test_framework_8c_source.html">TestFramework.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/Systems/<a class="el" href="../../d6/dc4/_test_framework_8c_source.html">TestFramework.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d7/dc3/class_t_f_module.html">TFModule</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
